Index: /extensions/LLGBO2/admin/llgbo_admin.php
===================================================================
--- /extensions/LLGBO2/admin/llgbo_admin.php	(revision 4573)
+++ /extensions/LLGBO2/admin/llgbo_admin.php	(revision 4574)
@@ -47,16 +47,25 @@
                l10n('llgbo_M_tooltip'),
                $my_base_url.'&amp;tab=tooltip');
-If ($page['tab'] == 'manage')			   
-	{if (!isset($_POST['llgbo_frame'])   ) 
-		{$conf['LLGBO_SETTINGS'][0] = 'false';} 	
-		else
-		{$conf['LLGBO_SETTINGS'][0]= $_POST['llgbo_frame'];}}
+$disptabframe = 'false';
+$disptabheader = 'false';	
+			   
+if (!isset($_POST['llgbo_frame'])   ) 
+	{$disptabframe = $conf['LLGBO_SETTINGS'][0] ;} 	
+	else
+	{$disptabframe = $_POST['llgbo_frame'];}
+if (!isset($_POST['llgbo_header'])   ) 
+	{$disptabheader = $conf['LLGBO_SETTINGS'][6] ;} 	
+	else
+	{$disptabheader = $_POST['llgbo_header'];} 
 		   
-if ($conf['LLGBO_SETTINGS'][0] == 'true')
+if (($disptabframe == 'true'))
 {$tabsheet->add('frame',
                l10n('llgbo_M_frame'),
                $my_base_url.'&amp;tab=frame');}
-
-
+			   
+if (($disptabheader == 'true'))
+{$tabsheet->add('header',
+               l10n('llgbo_M_header'),
+               $my_base_url.'&amp;tab=header');}		   
 
 $tabsheet->assign();
@@ -67,4 +76,6 @@
 if ($page['tab'] == 'frame' )
 {$template->set_filenames( array('llgbo_admin_content' => dirname(__FILE__).'/llgbo_adminframe.tpl') );}
+if ($page['tab'] == 'header' )
+{$template->set_filenames( array('llgbo_admin_content' => dirname(__FILE__).'/llgbo_adminheader.tpl') );}
 $tabsheet->select($page['tab']);
 /* ****************************************************** */
@@ -241,4 +252,80 @@
   Draw_frame();
 }
+///////////////////////////////////////////////
+/////            HEADER
+/////////////////////////////////////////////////
+if ($page['tab'] == 'header') {
+	if ( isset($_POST['submit'])) 
+	{   if (!isset($_POST['llgbo_header_home'])) {$_POST['llgbo_header_home'] = 'true';}  
+		if (!isset($_POST['llgbo_header_category'])) {$_POST['llgbo_header_category'] = 'true';}   
+		if (!isset($_POST['llgbo_header_category_filter_recent'])) {$_POST['llgbo_header_category_filter_recent'] = 'true';}   
+		if (!isset($_POST['llgbo_header_category_flat'])) {$_POST['llgbo_header_category_flat'] = 'true';}  
+		if (!isset($_POST['llgbo_header_category_posted_monthly'])) {$_POST['llgbo_header_category_posted_monthly'] = 'true';}  
+		if (!isset($_POST['llgbo_header_picture'])) {$_POST['llgbo_header_picture'] = 'true';} 
+	    if (!isset($_POST['llgbo_header_additional_page'])) {$_POST['llgbo_header_additional_page'] = 'true';}  
+		if (!isset($_POST['llgbo_header_most_visited'])) {$_POST['llgbo_header_most_visited'] = 'true';} 
+		if (!isset($_POST['llgbo_header_best_rated'])) {$_POST['llgbo_header_best_rated'] = 'true';}  
+		if (!isset($_POST['llgbo_header_list'])) {$_POST['llgbo_header_list'] = 'true';}  	
+		if (!isset($_POST['llgbo_header_recent_pics'])) {$_POST['llgbo_header_recent_pics'] = 'true';}   
+		if (!isset($_POST['llgbo_header_created_monthly_calendar'])) {$_POST['llgbo_header_created_monthly_calendar'] = 'true';}  
+		if (!isset($_POST['llgbo_header_tags'])) {$_POST['llgbo_header_tags'] = 'true';}  
+		if (!isset($_POST['llgbo_header_search'])) {$_POST['llgbo_header_search'] = 'true';}   
+	    if (!isset($_POST['llgbo_header_comments'])) {$_POST['llgbo_header_comments'] = 'true';}  
+		if (!isset($_POST['llgbo_header_about'])) {$_POST['llgbo_header_about'] = 'true';}   
+		if (!isset($_POST['llgbo_header_notification'])) {$_POST['llgbo_header_notification'] = 'true';}   
+		if (!isset($_POST['llgbo_header_register'])) {$_POST['llgbo_header_register'] = 'true';}  
+		if (!isset($_POST['llgbo_header_identification'])) {$_POST['llgbo_header_identification'] = 'true';} 
+		if (!isset($_POST['llgbo_header_favorites'])) {$_POST['llgbo_header_favorites'] = 'true';} 
+		if (!isset($_POST['llgbo_header_recent_cats'])) {$_POST['llgbo_header_recent_cats'] = 'true';} 		
+	 		
+		  
+		 $param_llgbo_header = array(
+					$_POST['llgbo_header_home'],	$_POST['llgbo_header_category'] ,
+					$_POST['llgbo_header_category_filter_recent'],	$_POST['llgbo_header_category_flat'],
+					$_POST['llgbo_header_category_posted_monthly'],	$_POST['llgbo_header_picture'],
+					$_POST['llgbo_header_additional_page'],	$_POST['llgbo_header_most_visited'],
+					$_POST['llgbo_header_best_rated'] , $_POST['llgbo_header_list'],
+					$_POST['llgbo_header_recent_pics'],		$_POST['llgbo_header_created_monthly_calendar'],
+					$_POST['llgbo_header_tags'],		$_POST['llgbo_header_search'],
+					$_POST['llgbo_header_comments'],		$_POST['llgbo_header_about'],
+					$_POST['llgbo_header_notification'], $_POST['llgbo_header_register'],
+					$_POST['llgbo_header_identification'], $_POST['llgbo_header_favorites'],
+					$_POST['llgbo_header_recent_cats']);
+		$llgbo_newheader_value = implode ("," , $param_llgbo_header);
+		
+		  $query = '
+				UPDATE ' . CONFIG_TABLE . '
+				  SET value="'.$llgbo_newheader_value.'"
+				  WHERE param="LLGBOHEADER"
+				  LIMIT 1';
+						pwg_query($query);
+				 $template->assign('LLGBOINFO','llgbo_info');
+				 
+		$conf['LLGBO_HEADER'] = explode ("," ,$llgbo_newheader_value);
+	}
+ // Reload settings for correct display after update
+ if (isset($conf['LLGBO_HEADER'][0])) {$template->assign(array( 'LLGBO_HEADER_HOME' => $conf['LLGBO_HEADER'][0]));}
+ if (isset($conf['LLGBO_HEADER'][1])) {$template->assign(array( 'LLGBO_HEADER_CATEGORY' => $conf['LLGBO_HEADER'][1]));}
+ if (isset($conf['LLGBO_HEADER'][2])) {$template->assign(array( 'LLGBO_HEADER_CATEGORY_FILTER_RECENT' => $conf['LLGBO_HEADER' ][2]));}
+ if (isset($conf['LLGBO_HEADER'][3])) {$template->assign(array( 'LLGBO_HEADER_CATEGORY_FLAT' => $conf['LLGBO_HEADER'][3]));}
+ if (isset($conf['LLGBO_HEADER'][4])) {$template->assign(array( 'LLGBO_HEADER_CATEGORY_POSTED_MONTHLY' => $conf['LLGBO_HEADER'][4]));}
+ if (isset($conf['LLGBO_HEADER'][5])) {$template->assign(array( 'LLGBO_HEADER_PICTURE' => $conf['LLGBO_HEADER'][5]));}
+ if (isset($conf['LLGBO_HEADER'][6])) {$template->assign(array( 'LLGBO_HEADER_ADDITIONAL_PAGE' => $conf['LLGBO_HEADER'][6]));}
+ if (isset($conf['LLGBO_HEADER'][7])) {$template->assign(array( 'LLGBO_HEADER_MOST_VISITED' => $conf['LLGBO_HEADER'][7]));}
+ if (isset($conf['LLGBO_HEADER'][8])) {$template->assign(array( 'LLGBO_HEADER_BEST_RATED' => $conf['LLGBO_HEADER' ][8]));}
+ if (isset($conf['LLGBO_HEADER'][9])) {$template->assign(array( 'LLGBO_HEADER_LIST' => $conf['LLGBO_HEADER' ][9]));}
+ if (isset($conf['LLGBO_HEADER'][10])) {$template->assign(array( 'LLGBO_HEADER_RECENT_PICS' => $conf['LLGBO_HEADER'][10]));}
+ if (isset($conf['LLGBO_HEADER'][11])) {$template->assign(array( 'LLGBO_HEADER_TAGS' => $conf['LLGBO_HEADER'][11]));}
+ if (isset($conf['LLGBO_HEADER'][12])) {$template->assign(array( 'LLGBO_HEADER_CREATED_MONTHLY_CALENDAR' => $conf['LLGBO_HEADER'][12]));}
+ if (isset($conf['LLGBO_HEADER'][13])) {$template->assign(array( 'LLGBO_HEADER_SEARCH' => $conf['LLGBO_HEADER'][13]));}
+ if (isset($conf['LLGBO_HEADER'][14])) {$template->assign(array( 'LLGBO_HEADER_COMMENTS' => $conf['LLGBO_HEADER'][14]));}
+ if (isset($conf['LLGBO_HEADER'][15])) {$template->assign(array( 'LLGBO_HEADER_ABOUT' => $conf['LLGBO_HEADER'][15]));}
+ if (isset($conf['LLGBO_HEADER'][16])) {$template->assign(array( 'LLGBO_HEADER_NOTIFICATION' => $conf['LLGBO_HEADER' ][16]));}
+ if (isset($conf['LLGBO_HEADER'][17])) {$template->assign(array( 'LLGBO_HEADER_REGISTER' => $conf['LLGBO_HEADER'][17]));}
+ if (isset($conf['LLGBO_HEADER'][18])) {$template->assign(array( 'LLGBO_HEADER_IDENTIFICATION' => $conf['LLGBO_HEADER'][18]));}
+ if (isset($conf['LLGBO_HEADER'][19])) {$template->assign(array( 'LLGBO_HEADER_FAVORITES' => $conf['LLGBO_HEADER'][19]));}
+ if (isset($conf['LLGBO_HEADER'][20])) {$template->assign(array( 'LLGBO_HEADER_RECENT_CATS' => $conf['LLGBO_HEADER'][20]));}
+
+ }
 
 $template->assign_var_from_handle( 'ADMIN_CONTENT', 'llgbo_admin_content');
Index: /extensions/LLGBO2/admin/llgbo_adminframe.tpl
===================================================================
--- /extensions/LLGBO2/admin/llgbo_adminframe.tpl	(revision 4573)
+++ /extensions/LLGBO2/admin/llgbo_adminframe.tpl	(revision 4574)
@@ -1,12 +1,13 @@
+
 <div class="infos" style="text-align:left;padding-left:45px;" >{$LLGBOINFO|@translate}</div>
  <h2> {'Title'|@translate} <br>  {$LLGBO_VERSION}</h2>
+ <h3>{'Step3_Title'|@translate}</h3>
 <form method="post" action="{$llgbo_F_ACTION}" class="properties">
 <fieldset>
-<legend>{'Step3_Title'|@translate}</legend>
 	<div id="framepicker" align="center" > </div>
 	<span id="gboh2" style ="position: relative; top:1.5em;margin-left:40%;background:transparent;z-index:3;color:{$LLGBO_TITLE_FRAME_COLOR}">{'llgbo_title_frame_color'|@translate} </span>
 	{$FRAME_BEGIN}
 	<table align="center" style ="position: relative; top:-2.5em;" >
-	<th id="llgbotitle">{'llgo_frame_setting'|@translate} 	</th>
+	<th id="llgbotitle">  	</th>
 	<tr><br>
 		<td   class="llgbolabel" >{'llgbo_title_frame_color'|@translate} </td>
Index: /extensions/LLGBO2/admin/llgbo_adminheader.tpl
===================================================================
--- /extensions/LLGBO2/admin/llgbo_adminheader.tpl	(revision 4574)
+++ /extensions/LLGBO2/admin/llgbo_adminheader.tpl	(revision 4574)
@@ -0,0 +1,79 @@
+<div class="infos" style="text-align:left;padding-left:45px;" >{$LLGBOINFO|@translate}</div>
+<h2> {'Title'|@translate} <br>  {$LLGBO_VERSION}</h2>
+<h3>{'Step4_Title'|@translate}</h3>
+<form method="post" action="{$llgbo_F_ACTION}" class="properties">
+<fieldset>
+<table id="llgbotable" style="{$LLGBODISPMANAGE}">
+  <tr>
+	<td class="llgbolabel">{'llgbo_header_home'|@translate}</td> 
+	<td class="llgboinput">{html_radios name='llgbo_header_home' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_HOME}</td>
+	<td class="llgbolabel">{'llgbo_header_category'|@translate}</td>
+	<td class="llgboinput">	{html_radios name='llgbo_header_category' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_CATEGORY}</td>
+  </tr>
+  <tr>
+		<td class="llgbolabel">{'llgbo_header_category_filter_recent'|@translate}</td>
+		<td class="llgboinput">	{html_radios name='llgbo_header_category_filter_recent' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_CATEGORY_FILTER_RECENT}</td>
+		<td class="llgbolabel">{'llgbo_header_category_flat'|@translate}</td>
+		<td class="llgboinput">	{html_radios name='llgbo_header_category_flat' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_CATEGORY_FLAT}</td>
+  </tr>
+  <tr>
+		<td class="llgbolabel">{'llgbo_header_category_posted_monthly'|@translate}</td>
+		<td class="llgboinput">	{html_radios name='llgbo_header_category_posted_monthly' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_CATEGORY_POSTED_MONTHLY}</td>
+		<td class="llgbolabel">{'llgbo_header_picture'|@translate}</td>
+		<td class="llgboinput">{html_radios name='llgbo_header_picture' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_PICTURE}</td>  
+  </tr>
+  <tr>
+		<td class="llgbolabel">{'llgbo_header_additional_page'|@translate}</td>
+		<td class="llgboinput">{html_radios name='llgbo_header_additional_page' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_ADDITIONAL_PAGE}</td> 
+	<td class="llgbolabel">{'llgbo_header_favorites'|@translate}</td>
+		<td class="llgboinput">{html_radios name='llgbo_header_favorites' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_FAVORITES}</td>  		
+  </tr>
+  <tr>	
+       <td class="llgbolabel">{'llgbo_header_most_visited'|@translate}</td>
+		<td class="llgboinput">	{html_radios name='llgbo_header_most_visited' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_MOST_VISITED}</td>
+  
+		<td class="llgbolabel">{'llgbo_header_best_rated'|@translate}</td>
+		<td class="llgboinput">	{html_radios name='llgbo_header_best_rated' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_BEST_RATED}</td>
+  </tr>
+  <tr>
+       <td class="llgbolabel">{'llgbo_header_list'|@translate}</td>
+		<td class="llgboinput">	{html_radios name='llgbo_header_list' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_LIST}</td>
+
+		<td class="llgbolabel">{'llgbo_header_recent_pics'|@translate}</td>
+		<td class="llgboinput">	{html_radios name='llgbo_header_recent_pics' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_RECENT_PICS}</td>
+  </tr>	
+  <tr>	
+       <td class="llgbolabel">{'llgbo_header_created_monthly_calendar'|@translate}</td>
+		<td class="llgboinput">	{html_radios name='llgbo_header_created_monthly_calendar' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_CREATED_MONTHLY_CALENDAR}</td>
+		<td class="llgbolabel">{'llgbo_header_tags'|@translate}</td>
+		<td class="llgboinput">	{html_radios name='llgbo_header_tags' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_TAGS}</td>
+  </tr>	
+  <tr>
+		<td class="llgbolabel">{'llgbo_header_search'|@translate}</td>
+		<td class="llgboinput">	{html_radios name='llgbo_header_search' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_SEARCH}</td>
+		<td class="llgbolabel">{'llgbo_header_comments'|@translate}</td>
+		<td class="llgboinput">	{html_radios name='llgbo_header_comments' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_COMMENTS}</td>
+  </tr>	
+  <tr>
+			<td class="llgbolabel">{'llgbo_header_about'|@translate}</td>
+		<td class="llgboinput">	{html_radios name='llgbo_header_about' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_ABOUT}</td>
+	<td class="llgbolabel">{'llgbo_header_notification'|@translate}</td>
+		<td class="llgboinput">	{html_radios name='llgbo_header_notification' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_NOTIFICATION}</td>
+	</tr>	
+    <tr>	
+        <td class="llgbolabel">{'llgbo_header_register'|@translate}</td>
+		<td class="llgboinput">	{html_radios name='llgbo_header_register' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_REGISTER}</td>
+  
+		<td class="llgbolabel">{'llgbo_header_identification'|@translate}</td>
+		<td class="llgboinput">	{html_radios name='llgbo_header_identification' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_IDENTIFICATION}</td>
+  </tr>	
+      <tr>	
+        <td class="llgbolabel">{'llgbo_header_recent_cats'|@translate}</td>
+		<td class="llgboinput">	{html_radios name='llgbo_header_recent_cats' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_RECENT_CATS}</td>
+  </tr>	
+</table>
+
+<div align="center"><br><br><input class="submit" type="submit" value="{'submit'|@translate}" name="submit" /></div>
+</fieldset>
+</form>
+ 
Index: /extensions/LLGBO2/admin/llgbo_adminsettings.tpl
===================================================================
--- /extensions/LLGBO2/admin/llgbo_adminsettings.tpl	(revision 4573)
+++ /extensions/LLGBO2/admin/llgbo_adminsettings.tpl	(revision 4574)
@@ -1,8 +1,9 @@
 <div class="infos" style="text-align:left;padding-left:45px;" >{$LLGBOINFO|@translate}</div>
  <h2> {'Title'|@translate} <br>  {$LLGBO_VERSION}</h2>
-{'Howto'|@translate}
+<h3>{'Howto'|@translate}</h3>
+
 <form method="post" action="{$llgbo_F_ACTION}" class="properties">
 <fieldset>
-<legend>{'Step1_Title'|@translate}</legend>
+
 <table id="llgbotable" style="{$LLGBODISPMANAGE}">
 	<tr>
@@ -42,15 +43,5 @@
 	</tr>	
 </table>
-<div align="center">
-<br>
-<span class="llgbotitle"> 	{'llgbo_maintain_header'|@translate}	</span><br>
-<textarea   rows=2 COLS=80  name="llgbo_maintain_header">{$LLGBO_MAINTAIN_HEADER}</TEXTAREA> 	
-<br> <br>
-<table id="llgbotable" 
-<tr class="llgbotitle"> <td class="llgbolabel">	{'llgbo_maintain_header_help'|@translate}	</td></tr> 
-<tr class="llgbotitle"> <td class="llgbolabel">	{'llgbo_maintain_header_help1'|@translate}	</td></tr> 
-<tr class="llgbotitle"> <td class="llgbolabel">	{'llgbo_maintain_header_help2'|@translate}	</td></tr>
-</table>
-</div>
+
 <div align="center"><br><br><input class="submit" type="submit" value="{'submit'|@translate}" name="submit" /></div>
 </fieldset>
Index: /extensions/LLGBO2/admin/llgbo_admintooltip.tpl
===================================================================
--- /extensions/LLGBO2/admin/llgbo_admintooltip.tpl	(revision 4573)
+++ /extensions/LLGBO2/admin/llgbo_admintooltip.tpl	(revision 4574)
@@ -1,8 +1,8 @@
 <div class="infos" style="text-align:left;padding-left:45px;" >{$LLGBOINFO|@translate}</div>
  <h2> {'Title'|@translate} <br>  {$LLGBO_VERSION}</h2>
-{'Howto'|@translate}
+<h3>{'Step2_Title'|@translate}</h3>
 <form method="post" action="{$llgbo_F_ACTION}" class="properties">
 <fieldset>
-<legend>{'Step2_Title'|@translate}</legend>
+
 <div id="picker"style="{$LLGBODISPTOOLTIP}"></div>
 <!--           T O O L T I P  -->
Index: /extensions/LLGBO2/css/look_like_gbo2_admin.css
===================================================================
--- /extensions/LLGBO2/css/look_like_gbo2_admin.css	(revision 4573)
+++ /extensions/LLGBO2/css/look_like_gbo2_admin.css	(revision 4574)
@@ -19,8 +19,12 @@
 .llgbolabel{
 	text-align:left;
-	padding-left:1px;
-	margin:0;
+	padding-left:85px;
+	margin :0 ;
 }
-
+.llgboinput{
+	text-align:left;
+	padding-left:10px;
+	margin :0 ;
+}
 .llgbofield , .colorwell ,.colorwellf{
 	width:65px;text-align:left;
@@ -30,14 +34,21 @@
 }
 #llgbotable{
-	margin-right:25%;
+	margin-right:0%;
+	margin-left:0%;
 } 
 #tooltip{
-     margin-right:25%;
+    margin-right:25%;
 	margin-left:15%;
 	padding:5px;
 	-moz-border-radius:10px;
 }
-#llgbotitle {padding:15px 0 5px 0;color:#c92;text-align:center}
+#llgbotitle {padding:15px 0 5px 0;color:#c92;text-align:center;font-weight:700}
 textarea {overflow:hidden;}
 
 .submit{margin:10px;}
+
+TABLE.doubleSelect SELECT.HeaderList {
+	width: 100%; max-width: 90%; max-height: 20em;overflow-x: auto;
+}
+
+
Index: /extensions/LLGBO2/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/en_UK/plugin.lang.php	(revision 4573)
+++ /extensions/LLGBO2/language/en_UK/plugin.lang.php	(revision 4574)
@@ -7,5 +7,5 @@
 $lang['submit'] = 'Submit';
 $lang['Title'] = 'Look like GBo';
-$lang['Howto'] = 'This plugin permits to change the picture page presentation.<br>Special thanks to all the forum for their precious help   ';
+$lang['Howto'] = 'This plugin manage the picture page presentation.<br>Special thanks to all the forum for their precious help   ';
 $lang['Step1_Title'] = 'Plugin settings';
 $lang['Step2_Title'] = 'Tooltip settings';
@@ -13,7 +13,4 @@
 $lang['llgbo_tooltip']='Display tooltip (thumbnail under button) on mouseover :';
 $lang['llgbo_exifunderbt']='Display tooltip (EXIF under button metadata) on mouseover :';
-$lang['llgbo_frame']='Manage frame around the picture :';
-$lang['llgbo_header']='Header is only display on the fisrt page :';
-$lang['llgbo_maintain_header']='Maintain header on the following pages :';
 $lang['llgbo_allinfo']='Display all the phpwebgallery data picture :';
 $lang['llgbo_usemap']='Add navigation on picture :';
@@ -31,5 +28,4 @@
 $lang['llgbo_tooltip_color']= 'Define tooltip text color';
 $lang['llgo_global_setting']= 'Piwigo Picture page global settings';
-$lang['llgo_tooltip_setting']= 'Tooltip settings';
 $lang['llgo_frame_setting']= 'Frame settings :' ;
 $lang['llgbo_title_frame_color']= 'Title frame color';
@@ -55,7 +51,32 @@
 $lang['llgbo_M_manage'] = 'Global settings';
 $lang['llgbo_samples'] = 'Samples : ';
-$lang['llgbo_maintain_header_help']='1 - To find the body ID value, display the source code  Ctrl+U with Firefox ';
-$lang['llgbo_maintain_header_help1']='2 - Search the value "body id=".   Sample --> body id="theAboutPage"    ';
-$lang['llgbo_maintain_header_help2']='3 - Copy the value theAboutPage in the text area. Separate the different ID by ;';
-
+// must be translate 
+$lang['Howto'] = 'This plugin manage the picture page presentation.<br>';
+$lang['llgbo_frame']='Manage frame around the picture :';
+$lang['Step4_Title'] = 'Header settings';
+$lang['llgbo_header']='Manage display header ';
+$lang['llgo_tooltip_setting']= 'Tooltip title';
+$lang['llgbo_M_header'] = 'Display Header management';
+$lang['Step4_Title'] = 'Header  Display/Hide for each page';
+$lang['llgbo_header_home'] = 'Header display on Home page';
+$lang['llgbo_header_category'] = 'Header display on Category page';
+$lang['llgbo_header_category_filter_recent']= 'Header display on Category page :filter by recent';
+$lang['llgbo_header_category_flat']= 'Header display on Category page option flat' ;
+$lang['llgbo_header_category_posted_monthly']= 'Header display on Category page option calendar' ;
+$lang['llgbo_header_picture']= 'Header display on Picture page' ;
+$lang['llgbo_header_additional_page'] = 'Header display on Additional page';
+$lang['llgbo_header_most_visited'] = 'Header display on Most visited page';
+$lang['llgbo_header_best_rated'] = 'Header display on Best rated page';
+$lang['llgbo_header_list']= 'Header display on Random pictures page';
+$lang['llgbo_header_recent_pics']= 'Header display on Recents pictures page';
+$lang['llgbo_header_created_monthly_calendar'] = 'Header display on Calendar page'; 
+$lang['llgbo_header_tags']= 'Header display on Tags page'; 
+$lang['llgbo_header_search']= 'Header display on Search page';
+$lang['llgbo_header_comments']= 'Header display on Comments page';
+$lang['llgbo_header_about']= 'Header display on About page';
+$lang['llgbo_header_notification']= 'Header display on Notification page';
+$lang['llgbo_header_register'] = 'Header display on Register page';
+$lang['llgbo_header_identification']= 'Header display on identification page';
+$lang['llgbo_header_favorites']= 'Header display on My Favorites page';
+$lang['llgbo_header_recent_cats']= 'Header display on Recent category page';
 ?>
Index: /extensions/LLGBO2/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/es_ES/plugin.lang.php	(revision 4573)
+++ /extensions/LLGBO2/language/es_ES/plugin.lang.php	(revision 4574)
@@ -8,5 +8,5 @@
 $lang['submit'] = 'Validar';
 $lang['Title'] = 'Look like GBo';
-$lang['Howto'] = 'Este plugin permite modificar la presentación de la página llena de imágenes. Gracias al foro para su ayuda.';
+$lang['Howto'] = 'Este plugin permite modificar la presentación de la página llena de imágenes.';
 $lang['Step1_Title'] = 'Parametraje de Plugin ';
 $lang['llgbo_tooltip']='Infobulles específico (miniaturas de las fotos) al sobrevuelo de los botones:';
@@ -56,6 +56,31 @@
 $lang['llgbo_M_manage'] = 'Global settings';
 $lang['llgbo_samples'] = 'Samples : ';
-$lang['llgbo_maintain_header_help']='1 - To find the body ID value, display the source code  Ctrl+U with Firefox ';
-$lang['llgbo_maintain_header_help1']='2 - Search the value "body id=".   Sample --> body id="theAboutPage"    ';
-$lang['llgbo_maintain_header_help2']='3 - Copy the value theAboutPage in the text area. Separate the different ID by ;';
-?>
+$lang['llgbo_frame']='Manage frame around the picture :';
+// must be translate 
+$lang['llgbo_frame']='Manage frame around the picture :';
+$lang['Step4_Title'] = 'Header settings';
+$lang['llgbo_header']='Manage display header ';
+$lang['llgo_tooltip_setting']= 'Tooltip title';
+$lang['llgbo_M_header'] = 'Display Header management';
+$lang['Step4_Title'] = 'Header  Display/Hide for each page';
+$lang['llgbo_header_home'] = 'Header display on Home page';
+$lang['llgbo_header_category'] = 'Header display on Category page';
+$lang['llgbo_header_category_filter_recent']= 'Header display on Category page :filter by recent';
+$lang['llgbo_header_category_flat']= 'Header display on Category page option flat' ;
+$lang['llgbo_header_category_posted_monthly']= 'Header display on Category page option calendar' ;
+$lang['llgbo_header_picture']= 'Header display on Picture page' ;
+$lang['llgbo_header_additional_page'] = 'Header display on Additional page';
+$lang['llgbo_header_most_visited'] = 'Header display on Most visited page';
+$lang['llgbo_header_best_rated'] = 'Header display on Best rated page';
+$lang['llgbo_header_list']= 'Header display on Random pictures page';
+$lang['llgbo_header_recent_pics']= 'Header display on Recents pictures page';
+$lang['llgbo_header_created_monthly_calendar'] = 'Header display on Calendar page'; 
+$lang['llgbo_header_tags']= 'Header display on Tags page'; 
+$lang['llgbo_header_search']= 'Header display on Search page';
+$lang['llgbo_header_comments']= 'Header display on Comments page';
+$lang['llgbo_header_about']= 'Header display on About page';
+$lang['llgbo_header_notification']= 'Header display on Notification page';
+$lang['llgbo_header_register'] = 'Header display on Register page';
+$lang['llgbo_header_identification']= 'Header display on identification page';
+$lang['llgbo_header_favorites']= 'Header display on My Favorites page';
+$lang['llgbo_header_recent_cats']= 'Header display on Recent category page';?>
Index: /extensions/LLGBO2/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/fr_FR/plugin.lang.php	(revision 4573)
+++ /extensions/LLGBO2/language/fr_FR/plugin.lang.php	(revision 4574)
@@ -9,8 +9,9 @@
 $lang['preview'] = 'Visualiser';
 $lang['Title'] = 'Look like GBo';
-$lang['Howto'] = 'Ce plugin permet de modifier la présentation de la page image. Merci au forum pour son aide';
+$lang['Howto'] = 'Ce plugin permet de modifier la présentation de la page image.';
 $lang['Step1_Title'] = 'Paramétrage du Plugin ';
 $lang['Step2_Title'] = 'Paramétrage de l\'infobulle';
 $lang['Step3_Title'] = 'Paramétrage du cadre ';
+$lang['Step4_Title']= 'Paramètres de l\'infobulle :' ;
 $lang['llgbo_tooltip']='Infobulles spécifiques (miniatures des photos) au survol des boutons :';
 $lang['llgbo_exifunderbt']='Infobulles spécifiques pour les EXIFS au survol du bouton :';
@@ -31,5 +32,5 @@
 $lang['llgbo_tooltip_color']= 'Couleur du texte de l\'infobulle :' ;
 $lang['llgo_global_setting']= 'Parmètres généraux de la page picture de piwigo:';
-$lang['llgo_tooltip_setting']= 'Paramètres de l\'infobulle :' ;
+$lang['llgo_tooltip_setting']= 'Titre de l\'infobulle :' ;
 $lang['llgo_frame_setting']= 'Paramètres du cadre :' ;
 $lang['llgbo_title_frame_color']= 'Couleur du titre affiché sur le cadre';
@@ -55,7 +56,33 @@
 $lang['llgbo_M_manage'] = 'Paramétres généraux';
 $lang['llgbo_samples'] = 'Exemples :';
-$lang['llgbo_maintain_header_help']='1 - Pour trouver l\'ID de la page, afficher le code source de la page Ctrl+U sous Firefox ';
-$lang['llgbo_maintain_header_help1']='2 - Rechercher dans le texte la valeur "body id=".   Exemple --> body id="theAboutPage"    ';
-$lang['llgbo_maintain_header_help2']='3 - Renseigner la valeur theAboutPage dans la zone de texte. Séparer les différentes valeurs par des ;';
+// must be translate 
+$lang['Howto'] = 'Ce plugin gére la présentation  de la page Image.<br>';
+$lang['llgbo_frame']='Gérer le cadre autour de la photo';
+$lang['Step4_Title'] = 'Gestion de l\'affichage de l\'entête';
+$lang['llgbo_header']='Gérer l\'affichage de l\'entête';
+$lang['llgo_tooltip_setting']= 'titre de l\'infobulle';
+$lang['llgbo_M_header'] = 'Gestion de l\'affichage de l\'entête';
+$lang['Step4_Title'] = 'Affiche / Masque l\'entête de chaque page';
+$lang['llgbo_header_home'] = 'Affichage sur la page d\'Accueil';
+$lang['llgbo_header_category'] = 'Affichage sur la page catégorie';
+$lang['llgbo_header_category_filter_recent']= 'Affichage sur la page catégorie :filtrée par récent';
+$lang['llgbo_header_category_flat']= 'Affichage sur la page catégorie (à plat)' ;
+$lang['llgbo_header_category_posted_monthly']= 'Affichage sur la page catégorie opion calendrier' ;
+$lang['llgbo_header_picture']= 'Affichage sur la page Image' ;
+$lang['llgbo_header_additional_page'] = 'Affichage sur les pages Additonelles';
+$lang['llgbo_header_most_visited'] = 'Affichage sur la page Plus visitées';
+$lang['llgbo_header_best_rated'] = 'Affichage sur la page Mieux notées';
+$lang['llgbo_header_list']= 'Affichage sur la page Images au hasard';
+$lang['llgbo_header_recent_pics']= 'Affichage sur la page Images récentes';
+$lang['llgbo_header_created_monthly_calendar'] = 'Affichage sur la page Calendrier'; 
+$lang['llgbo_header_tags']= 'Affichage sur la page Nuages de mots'; 
+$lang['llgbo_header_search']= 'Affichage sur la page Recherche';
+$lang['llgbo_header_comments']= 'Affichage sur la page Commentaires';
+$lang['llgbo_header_about']= 'Affichage sur la page Apropos';
+$lang['llgbo_header_notification']= 'Affichage sur la page Notification';
+$lang['llgbo_header_register'] = 'Affichage sur la page Inscription';
+$lang['llgbo_header_identification']= 'Affichage sur la page Identification';
+$lang['llgbo_header_favorites']= 'Affichage sur la page Mes Favoris';
+$lang['llgbo_header_recent_cats']= 'Affichage sur la page catégories récentes';
 
 
Index: /extensions/LLGBO2/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/hu_HU/plugin.lang.php	(revision 4573)
+++ /extensions/LLGBO2/language/hu_HU/plugin.lang.php	(revision 4574)
@@ -9,5 +9,5 @@
 $lang['submit'] = 'Küldés';
 $lang['Title'] = 'Look like GBo';
-$lang['Howto'] = 'Ez a bővítmény lehetővé teszi, hogy módosítsa az oldalon lévő képek megjelenését.<br>Köszönjük, a fórum segítségét    ';
+$lang['Howto'] = 'Ez a bővítmény lehetővé teszi, hogy módosítsa az oldalon lévő képek megjelenését.';
 $lang['Step1_Title'] = 'Bővítmény beállítások';
 $lang['llgbo_tooltip']='Legyen kibővített buboréksúgó a gomb alatt? (bélyegkép + szöveg):';
@@ -25,4 +25,5 @@
 
 // must be translate 19/12/2009
+ 
 $lang['save'] = 'Save';
 $lang['preview'] = 'Preview';
@@ -58,7 +59,32 @@
 $lang['llgbo_M_manage'] = 'Global settings';
 $lang['llgbo_samples'] = 'Samples : ';
-$lang['llgbo_maintain_header_help']='1 - To find the body ID value, display the source code  Ctrl+U with Firefox ';
-$lang['llgbo_maintain_header_help1']='2 - Search the value "body id=".   Sample --> body id="theAboutPage"    ';
-$lang['llgbo_maintain_header_help2']='3 - Copy the value theAboutPage in the text area. Separate the different ID by ;';
-
+$lang['llgbo_frame']='Manage frame around the picture :';
+$lang['Howto'] = 'This plugin manage the picture page presentation.<br>';
+$lang['llgbo_frame']='Manage frame around the picture :';
+$lang['Step4_Title'] = 'Header settings';
+$lang['llgbo_header']='Manage display header ';
+$lang['llgo_tooltip_setting']= 'Tooltip title';
+$lang['llgbo_M_header'] = 'Display Header management';
+$lang['Step4_Title'] = 'Header  Display/Hide for each page';
+$lang['llgbo_header_home'] = 'Header display on Home page';
+$lang['llgbo_header_category'] = 'Header display on Category page';
+$lang['llgbo_header_category_filter_recent']= 'Header display on Category page :filter by recent';
+$lang['llgbo_header_category_flat']= 'Header display on Category page option flat' ;
+$lang['llgbo_header_category_posted_monthly']= 'Header display on Category page option calendar' ;
+$lang['llgbo_header_picture']= 'Header display on Picture page' ;
+$lang['llgbo_header_additional_page'] = 'Header display on Additional page';
+$lang['llgbo_header_most_visited'] = 'Header display on Most visited page';
+$lang['llgbo_header_best_rated'] = 'Header display on Best rated page';
+$lang['llgbo_header_list']= 'Header display on Random pictures page';
+$lang['llgbo_header_recent_pics']= 'Header display on Recents pictures page';
+$lang['llgbo_header_created_monthly_calendar'] = 'Header display on Calendar page'; 
+$lang['llgbo_header_tags']= 'Header display on Tags page'; 
+$lang['llgbo_header_search']= 'Header display on Search page';
+$lang['llgbo_header_comments']= 'Header display on Comments page';
+$lang['llgbo_header_about']= 'Header display on About page';
+$lang['llgbo_header_notification']= 'Header display on Notification page';
+$lang['llgbo_header_register'] = 'Header display on Register page';
+$lang['llgbo_header_identification']= 'Header display on identification page';
+$lang['llgbo_header_favorites']= 'Header display on My Favorites page';
+$lang['llgbo_header_recent_cats']= 'Header display on Recent category page';
 ?>
Index: /extensions/LLGBO2/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/pl_PL/plugin.lang.php	(revision 4573)
+++ /extensions/LLGBO2/language/pl_PL/plugin.lang.php	(revision 4574)
@@ -7,5 +7,5 @@
 $lang['submit'] = 'Zatwierdź';
 $lang['Title'] = 'Look like GBo';
-$lang['Howto'] = 'Ta wtyczka umożliwia zmianę prezentacji strony ze zdjęciami.<br>Szczególne podziękowania dla forumowiczów za ich nieocenioną pomoc';
+$lang['Howto'] = 'Ta wtyczka umożliwia zmianę prezentacji strony ze zdjęciami.';
 $lang['Step1_Title'] = 'Ustawienia wtyczki';
 $lang['llgbo_tooltip']='Wyświetlaj okienko skrótu (miniatury dostępne na przycisku) przy ruchu myszką :';
@@ -21,5 +21,4 @@
 $lang['llgbo_title_frame'] = 'Wyświetl tytuł zdjęcia w ramce';
 $lang['llgbo_default_navthumb'] = 'Ukryj standardowe wyświetlanie poprzedniej/następnej miniatury:';
-
 // must be translate 19/12/2009
 $lang['save'] = 'Save';
@@ -56,7 +55,33 @@
 $lang['llgbo_M_manage'] = 'Global settings';
 $lang['llgbo_samples'] = 'Samples : ';
-$lang['llgbo_maintain_header_help']='1 - To find the body ID value, display the source code  Ctrl+U with Firefox ';
-$lang['llgbo_maintain_header_help1']='2 - Search the value "body id=".   Sample --> body id="theAboutPage"    ';
-$lang['llgbo_maintain_header_help2']='3 - Copy the value theAboutPage in the text area. Separate the different ID by ;';
+$lang['llgbo_frame']='Manage frame around the picture :';$lang['Step4_Title'] = 'Header settings';
+$lang['Howto'] = 'This plugin manage the picture page presentation.<br>';
+$lang['llgbo_frame']='Manage frame around the picture :';
+$lang['Step4_Title'] = 'Header settings';
+$lang['llgbo_header']='Manage display header ';
+$lang['llgo_tooltip_setting']= 'Tooltip title';
+$lang['llgbo_M_header'] = 'Display Header management';
+$lang['Step4_Title'] = 'Header  Display/Hide for each page';
+$lang['llgbo_header_home'] = 'Header display on Home page';
+$lang['llgbo_header_category'] = 'Header display on Category page';
+$lang['llgbo_header_category_filter_recent']= 'Header display on Category page :filter by recent';
+$lang['llgbo_header_category_flat']= 'Header display on Category page option flat' ;
+$lang['llgbo_header_category_posted_monthly']= 'Header display on Category page option calendar' ;
+$lang['llgbo_header_picture']= 'Header display on Picture page' ;
+$lang['llgbo_header_additional_page'] = 'Header display on Additional page';
+$lang['llgbo_header_most_visited'] = 'Header display on Most visited page';
+$lang['llgbo_header_best_rated'] = 'Header display on Best rated page';
+$lang['llgbo_header_list']= 'Header display on Random pictures page';
+$lang['llgbo_header_recent_pics']= 'Header display on Recents pictures page';
+$lang['llgbo_header_created_monthly_calendar'] = 'Header display on Calendar page'; 
+$lang['llgbo_header_tags']= 'Header display on Tags page'; 
+$lang['llgbo_header_search']= 'Header display on Search page';
+$lang['llgbo_header_comments']= 'Header display on Comments page';
+$lang['llgbo_header_about']= 'Header display on About page';
+$lang['llgbo_header_notification']= 'Header display on Notification page';
+$lang['llgbo_header_register'] = 'Header display on Register page';
+$lang['llgbo_header_identification']= 'Header display on identification page';
+$lang['llgbo_header_favorites']= 'Header display on My Favorites page';
+$lang['llgbo_header_recent_cats']= 'Header display on Recent category page';
 
 ?>
Index: /extensions/LLGBO2/main.inc.php
===================================================================
--- /extensions/LLGBO2/main.inc.php	(revision 4573)
+++ /extensions/LLGBO2/main.inc.php	(revision 4574)
@@ -18,10 +18,11 @@
 $obj = new look_like_gbo(); /* class loading */
 global $conf,$ttvalues,$plugvalues,$frvalues; 
-define ('LLGBO_INFO_VERSION','2.0.I');
+define ('LLGBO_INFO_VERSION','2.0.Ia');
 define('LLGBO_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');
 	 
  $conf['LLGBO_SETTINGS'] =  explode("," , $conf['LLGBO']);
  $conf['LLGBO_TOOLTIP'] = explode(",",$conf['LLGBOTOOLTIP']);
- $conf['LLGBO_FRAME'] = explode (",",$conf['LLGBOFRAME']);   
+ $conf['LLGBO_FRAME'] = explode (",",$conf['LLGBOFRAME']); 
+ $conf['LLGBO_HEADER'] = explode (",",$conf['LLGBOHEADER']);   
 /////////////////////////////////////////////////////
 /*  plugin Class  */
@@ -45,5 +46,5 @@
 function MyBeginheader()
 { global $page,$conf;
-	// echo '-10-'.$conf['LLGBO_SETTINGS',10];
+	
 	 If ($conf['LLGBO_SETTINGS'][2]  == 'true' ) // reset nofollow, noindex
 	{ unset ($page['meta_robots']);}
@@ -52,19 +53,47 @@
 function Myheader()
 {global $template,$conf;
-	$Page_body = $template->get_template_vars('BODY_ID');	
-	$Categories = $template->get_template_vars('U_MODE_FLAT'); // Home page
- if ((isset ($Page_body)) )// pb with redirect.tpl
- 	{If ($conf['LLGBO_SETTINGS'][6]  == 'true' )  //display Header on home page
-		{ if (strpos( $Categories ,'categories') === False )
-			{ $exclu =  strtoupper($Page_body);	/*  maintain header on user  define  page */	 
-				if (strpos( strtoupper($conf['LLGBO_SETTINGS'] [7]),$exclu) === False)
-					{$template->append('head_elements',"\n".' <STYLE type="text/css">#theHeader{display: none}</STYLE>');}
-			}	
-		}
-
-	//
-	If ($conf['LLGBO_SETTINGS'] [9]  == 'true' and $Page_body == 'thePicturePage')
-		{$template->append('head_elements',"\n".' <STYLE type="text/css">.navThumb{display: none} </STYLE>');}
- }
+$page_name = script_basename();
+if ($conf['LLGBO_SETTINGS'] [6] = 'true' ) 
+{$no_header = false;
+if (  $page_name == 'index')
+	{//  print_r($_GET.'----'.$page_name ); 
+ 	if ((count ($_GET)) == 0   and ($conf['LLGBO_HEADER'][0] == 'false')) {$no_header = true;}// home
+	 foreach($_GET as $cle =>$valeur)
+		{//print_r($cle.'_'.$valeur);  
+			if ((strpos( $cle ,'categories') == true ) and ($conf['LLGBO_HEADER'][0] == 'false')) {$no_header = true;}// categories
+			if ((strpos( $cle ,'category') == true ) and ($conf['LLGBO_HEADER'][1] == 'false')) {$no_header = true;break;}
+			if ((strpos( $cle ,'filter=') == true ) and ($conf['LLGBO_HEADER'][2] == 'false')) {$no_header = true;break;}
+			if ((strpos( $cle ,'categories/flat') == true ) and ($conf['LLGBO_HEADER'][3] == 'false')) {$no_header = true;break;}
+			if ((strpos( $cle ,'categories/posted-monthly-list') == true ) and ($conf['LLGBO_HEADER'][4] == 'false')) {$no_header = true;break;}
+			if ((strpos( $cle ,'additional_page') == true ) and ($conf['LLGBO_HEADER'][6] == 'false')) {$no_header = true;break;}
+			if ((strpos( $cle ,'most_visited') == true ) and ($conf['LLGBO_HEADER'][7] == 'false')) {$no_header = true;break;}
+			if ((strpos( $cle ,'best_rated') == true ) and ($conf['LLGBO_HEADER'][8] == 'false')) {$no_header = true;break;}
+			if ((strpos( $cle ,'list') == true ) and ($conf['LLGBO_HEADER'][9] == 'false')) {$no_header = true;break;}
+			if ((strpos( $cle ,'recent_pics') == true ) and ($conf['LLGBO_HEADER'][10] == 'false')) {$no_header = true;break;}
+			if ((strpos( $cle ,'tags') == true ) and ($conf['LLGBO_HEADER'][11] == 'false')) {$no_header = true;break;}
+			if ((strpos( $cle ,'created-monthly-list') == true ) and ($conf['LLGBO_HEADER'][12] == 'false')) {$no_header = true;break;}
+			if ((strpos( $cle ,'favorites') == true ) and ($conf['LLGBO_HEADER'][19] == 'false')) {$no_header = true;break;}
+		    if ((strpos( $cle ,'recent_cats') == true ) and ($conf['LLGBO_HEADER'][20] == 'false')) {$no_header = true;break;}
+        
+		 }
+	}
+	//print_r($_GET.'----'.$page_name ); 
+ if ( $page_name == 'picture' and  $conf['LLGBO_HEADER'][5] == 'false')  {$no_header = true;}//picture page
+ if ( $page_name == 'tags' and  $conf['LLGBO_HEADER'][11] == 'false')  {$no_header = true;}//tags
+ if ( $page_name == 'search' and  $conf['LLGBO_HEADER'][13] == 'false')  {$no_header = true;}//search	
+ if ( $page_name == 'comments' and  $conf['LLGBO_HEADER'][14] == 'false')  {$no_header = true;}//comments
+ if ( $page_name == 'about' and  $conf['LLGBO_HEADER'][15] == 'false')  {$no_header = true;}//about	 
+ if ( $page_name == 'notification' and  $conf['LLGBO_HEADER'][16] == 'false')  {$no_header = true;}//notification	 
+ if ( $page_name == 'register' and  $conf['LLGBO_HEADER'][17] == 'false')  {$no_header = true;} //notification	 
+ if ( $page_name == 'identification' and  $conf['LLGBO_HEADER'][18] == 'false')  {$no_header = true;}//about	 
+ if ($no_header == true)
+{$template->append('head_elements',"\n".' <STYLE type="text/css">#theHeader{display: none}</STYLE>');}
+}	
+		
+
+//
+If ($conf['LLGBO_SETTINGS'] [9]  == 'true' )
+{$template->append('head_elements',"\n".' <STYLE type="text/css">.navThumb{display: none} </STYLE>');}
+ 
 }  // end header 
 
@@ -100,5 +129,6 @@
 </style>';
 // -----------  add JS tooltip in header ----------------------
- If (($conf['LLGBO'][1]  == 'true' ) /*  tooltip  */  or  ($conf['LLGBO_SETTINGS'] [2]  == 'true' )  /* exif under bt */ )
+ If (($conf['LLGBO'][1]  == 'true' ) /*  tooltip  */  or  ($conf['LLGBO_SETTINGS'] [2]  == 'true' )  /* exif under bt */ 
+ or  ($conf['LLGBO_SETTINGS'] [4]  === 'true' ) /* usemap and Display Thumb  */)
 	    {  $javacss = '<script type="text/javascript" charset="utf-8"  src="'.LLGBO_PATH;	
 		  $linkcss = '<link rel="stylesheet" type="text/css" href="'.LLGBO_PATH;
Index: /extensions/LLGBO2/maintain.inc.php
===================================================================
--- /extensions/LLGBO2/maintain.inc.php	(revision 4573)
+++ /extensions/LLGBO2/maintain.inc.php	(revision 4574)
@@ -30,5 +30,5 @@
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 function plugin_install()
-{  global $prefixeTable,$conf,$ttvalues,$plugvalues,$frvalues; 
+{  global $prefixeTable,$conf,$ttvalues,$plugvalues,$frvalues,$headvalues; 
   plugin_uninstall(); // en cas de mauvaise deinstallation anterieure
 	$q = '
@@ -47,12 +47,18 @@
 	("LLGBOFRAME","'.$frvalues.'","look like gbo frame settings");';
   pwg_query($q);
+    	$q = '
+INSERT INTO '.CONFIG_TABLE.' (param,value,comment)
+	VALUES  
+	("LLGBOHEADER","'.$headvalues.'","look like gbo header settings");';
+  pwg_query($q);
   
 $conf['LLGBO_SETTINGS'] =  explode("," , $plugvalues);
 $conf['LLGBO_TOOLTIP'] = explode(",",$ttvalues);
 $conf['LLGBO_FRAME'] = explode (",", $frvalues); 
+$conf['LLGBO_HEADER'] = explode (",", $headvalues);
  
 }
 function plugin_activate()
-{ global $prefixeTable,$conf,$ttvalues,$plugvalues,$frvalues; 
+{ global $prefixeTable,$conf,$ttvalues,$plugvalues,$frvalues,$headvalues; 
  ///////////////////////////////////////////////////
 // Vérification de la config, si pas bon -> reinstallation
@@ -60,8 +66,11 @@
 $ttvalues = "150,2,#fff,#000,#c92,#dadada";
 $frvalues = "#16195f,#ffffff,3,#040404,1,#ffffff,7,#ffffff,1,#fdfdfd,1,#fcfcfc,1,#fafafa,1,#eaeaea,1,#d3d3d3,1,#bababa,1,#9f9f9f,1,#858585,1,#777777,1,#646464,1,#575757,1,#474747,1";
+$headvalues = "true,false,false,false,false,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true";
+
 //
  if ( (!isset($conf['LLGBO'])) or (substr_count($conf['LLGBO'], ',')  != 9)  
  or  (!isset($conf['LLGBOTOOLTIP'])) or (substr_count($conf['LLGBOTOOLTIP'], ',')  != 5) 
- or  (!isset($conf['LLGBOFRAME'])) or (substr_count($conf['LLGBOFRAME'], ',')  != 32))  
+ or  (!isset($conf['LLGBOFRAME'])) or (substr_count($conf['LLGBOFRAME'], ',')  != 32)
+ or  (!isset($conf['LLGBOHEADER'])) or (substr_count($conf['LLGBOHEADER'], ',')  != 21))  
 	{	  plugin_install(); }
 }
@@ -70,5 +79,5 @@
 { global $prefixeTable;
   $q = '
-DELETE FROM '.CONFIG_TABLE.' WHERE param like "LLGBO%" LIMIT 4;';
+DELETE FROM '.CONFIG_TABLE.' WHERE param like "LLGBO%" LIMIT 5;';
   pwg_query( $q );
 }
